Package com.ads.api.beans.common

# Enum Class APIConstants.UserAccountStatus

java.lang.Object
java.lang.Enum<APIConstants.UserAccountStatus>
com.ads.api.beans.common.APIConstants.UserAccountStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.UserAccountStatus>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.UserAccountStatus extends Enum<APIConstants.UserAccountStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETED`
  `DISABLED`
  `ENABLED`
  `LOCKED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayAccountStatus()`
  `static APIConstants.UserAccountStatus`
  `getUserAccountStatus(String value)`
  `String`
  `getValue()`
  `String`
  `toString()`
  `static APIConstants.UserAccountStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.UserAccountStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENABLED

    public static final APIConstants.UserAccountStatus ENABLED

  - ### LOCKED

    public static final APIConstants.UserAccountStatus LOCKED

  - ### DELETED

    public static final APIConstants.UserAccountStatus DELETED

  - ### DISABLED

    public static final APIConstants.UserAccountStatus DISABLED

- ## Method Details

  - ### values

    public static APIConstants.UserAccountStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.UserAccountStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()

  - ### getUserAccountStatus

    public static APIConstants.UserAccountStatus getUserAccountStatus(String value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<APIConstants.UserAccountStatus>`

  - ### getDisplayAccountStatus

    public String getDisplayAccountStatus()